using UnityEngine;
using System.Collections;

public class Beam : MonoBehaviour {
    float counter = 0;
    public float time = 0.4f;
    public LineRenderer line;

    public void Setup(Vector3 startPos, Vector3 endPos) {
        line.SetVertexCount(2);
        line.SetPosition(0, startPos);
        line.SetPosition(1, endPos);
        line.SetWidth(8, 8);
    }
	
	
	void Update () {
        counter += Time.deltaTime;
        if (counter < time) {
            line.SetWidth(8 * (1 - counter / time), 8 * (1 - counter / time));
        } else {
            Destroy(gameObject);
        }
	}
}
