using UnityEngine;
using System.Collections;

public class ScrollingTexture : MonoBehaviour {


    MeshRenderer mRenderer;
    float x, y;
    public float xSpeed = 0.2f;
    public float ySpeed = 0f;
    //public bool circling = true;

    void Start() {
        mRenderer = GetComponent(typeof(MeshRenderer)) as MeshRenderer;
        if (xSpeed != 0) {
            x = Random.value;
        } else {
            x = mRenderer.material.mainTextureOffset.x;
        }

        if (ySpeed != 0) {
            y = Random.value;
        } else {
            y = mRenderer.material.mainTextureOffset.y;
        }
    }

    // Update is called once per frame
    void Update() {
        x += xSpeed * Time.deltaTime;

        y += ySpeed * Time.deltaTime;

        //if (!circling) {

            mRenderer.material.mainTextureOffset = new Vector2(x, y);

       // } else {

        //    Vector2 p = Math.Point2OnCircle(x * -15, 0.05f) + new Vector2(0.05f, 0.05f);

       //     mRenderer.material.mainTextureOffset = p;

       // }
    }
}
