using UnityEngine;
using System.Collections;

public class Fire : MonoBehaviour {

    SpriteManager spriteManager;
    Sprite sprite;
    //
   public  int spriteStart = 1;
   public  int spriteFrames = 2;
   public int spriteRow = 0;
   public int spritePixels = 48;
   public int spriteSize = 32;
    //
    float counter = 0;
    int frame = 0;
   public  float time = 3;
    float lifeTime = 0;
   
    //
	void Start () {
        GameObject uD = GameObject.Find("SpriteManagerProps");
        spriteManager = uD.GetComponent(typeof(SpriteManager)) as SpriteManager;
        sprite = spriteManager.AddSprite(gameObject, spriteSize, spriteSize, spriteStart * spritePixels, (spriteRow + 1) * spritePixels, spritePixels, spritePixels, false);
        transform.eulerAngles = Vector3.zero;
	}
	
	
	void Update () {
        float t = Time.deltaTime;
        counter += t;
        lifeTime += t;
        if (lifeTime > time) {
            spriteManager.RemoveSprite(sprite);
            Destroy(gameObject);
        } else {
            if (counter > 0.1f) {
                counter -= 0.1f;
                frame++;
                int frameOffset = spriteStart + frame % spriteFrames;
                sprite.lowerLeftUV = spriteManager.PixelCoordToUVCoord((frameOffset) * spritePixels, (spriteRow + 1) * spritePixels);
                Map.FireSparks(transform.position, 2);
                Map.Smoke(transform.position, 1);
            }
            transform.eulerAngles = Vector3.zero;
            sprite.Transform();
        }
	}
    
}
